#bridge-file-version: #17
#Warden Shield Animation
scoreboard objectives add warden_shield_frames dummy
scoreboard players add @a warden_shield_frames 0
#Frames
execute as @a[scores={sonic_boom_mainhand=0}] run tag @s remove warden_shield_lit
execute as @a[scores={warden_shield_frames=15..}] run scoreboard players set @s warden_shield_frames 0
execute as @a[tag=warden_shield_lit,scores={warden_shield_frames=0}] run event entity @s razz:warden_shield_property_operation_lit
execute as @a[tag=warden_shield_lit,scores={warden_shield_frames=3}] run event entity @s razz:warden_shield_property_operation_lit
execute as @a[tag=warden_shield_lit,scores={warden_shield_frames=6}] run event entity @s razz:warden_shield_property_operation_lit
execute as @a[tag=warden_shield_lit,scores={warden_shield_frames=9}] run event entity @s razz:warden_shield_property_operation_lit
execute as @a[tag=warden_shield_lit,scores={warden_shield_frames=12}] run event entity @s razz:warden_shield_property_operation_lit
 
 
execute as @a[tag=!warden_shield_lit,scores={warden_shield_frames=0}] run event entity @s razz:warden_shield_property_operation
execute as @a[tag=!warden_shield_lit,scores={warden_shield_frames=3}] run event entity @s razz:warden_shield_property_operation
execute as @a[tag=!warden_shield_lit,scores={warden_shield_frames=6}] run event entity @s razz:warden_shield_property_operation
execute as @a[tag=!warden_shield_lit,scores={warden_shield_frames=9}] run event entity @s razz:warden_shield_property_operation
execute as @a[tag=!warden_shield_lit,scores={warden_shield_frames=12}] run event entity @s razz:warden_shield_property_operation
scoreboard players add @a warden_shield_frames 1
 
#Sonic Boom Mainhand Reset
tag @a[tag=!off_hand] remove sonic_boom_offhand
tag @a[tag=!sneaking] remove sonic_boom_offhand
tag @a[hasitem={item=warden:shield,location=slot.weapon.offhand,quantity=0}] remove sonic_boom_offhand
 
scoreboard players set @a[tag=!sonic_boom_offhand,tag=!using_shield] sonic_boom_mainhand 0
scoreboard players set @a[tag=!sonic_boom_offhand,hasitem={item=warden:shield,location=slot.weapon.mainhand,quantity=0}] sonic_boom_mainhand 0
 
#Sonic Boom Mainhand Add
 
scoreboard objectives add sonic_boom_mainhand dummy
 
scoreboard players add @a[tag=using_shield,hasitem={item=warden:shield,location=slot.weapon.mainhand}] sonic_boom_mainhand 1
scoreboard players add @a[tag=sonic_boom_offhand] sonic_boom_mainhand 1
 
 
#Sonic Boom Mainhand
 
execute at @a[scores={sonic_boom_mainhand=1}] run playsound mob.warden.heartbeat @a[r=5]
execute at @a[scores={sonic_boom_mainhand=20}] run playsound mob.warden.heartbeat @a[r=5] ~ ~ ~ 1 1.05
execute at @a[scores={sonic_boom_mainhand=35}] run playsound mob.warden.heartbeat @a[r=5] ~ ~ ~ 1 1.1
execute at @a[scores={sonic_boom_mainhand=45}] run playsound mob.warden.heartbeat @a[r=5] ~ ~ ~ 1 1.15
execute at @a[scores={sonic_boom_mainhand=50}] run playsound mob.warden.heartbeat @a[r=5] ~ ~ ~ 1 1.20
execute at @a[scores={sonic_boom_mainhand=55}] run playsound mob.warden.heartbeat @a[r=5] ~ ~ ~ 1 1.25
execute at @a[scores={sonic_boom_mainhand=60}] run playsound mob.warden.heartbeat @a[r=5] ~ ~ ~ 1 1.30
execute at @a[scores={sonic_boom_mainhand=65}] run playsound mob.warden.heartbeat @a[r=5] ~ ~ ~ 1 1.35
execute at @a[scores={sonic_boom_mainhand=70}] run playsound mob.warden.heartbeat @a[r=5] ~ ~ ~ 1 1.40
 
execute as @a[scores={sonic_boom_mainhand=1}] run tag @s add warden_shield_lit
execute as @a[scores={sonic_boom_mainhand=10}] run tag @s remove warden_shield_lit
execute as @a[scores={sonic_boom_mainhand=20}] run tag @s add warden_shield_lit
execute as @a[scores={sonic_boom_mainhand=30}] run tag @s remove warden_shield_lit
execute as @a[scores={sonic_boom_mainhand=40}] run tag @s add warden_shield_lit
 
 
execute as @a[scores={sonic_boom_mainhand=40..70}] run event entity @s razz:warden_shield_property_operation_lit
execute as @a[scores={sonic_boom_mainhand=50..70}] run event entity @s razz:warden_shield_property_operation_lit
execute as @a[scores={sonic_boom_mainhand=60..70}] run event entity @s razz:warden_shield_property_operation_lit
 
execute at @a[scores={sonic_boom_mainhand=70}] run playsound mob.warden.sonic_boom @a[r=5]
 
execute at @a[scores={sonic_boom_mainhand=70}] run particle minecraft:sonic_charge ^^1^1
execute at @a[scores={sonic_boom_mainhand=70}] run particle minecraft:sonic_explosion ^^1^1
 
execute at @a[scores={sonic_boom_mainhand=70}] run particle minecraft:sonic_explosion ^^1^2
execute as @a[scores={sonic_boom_mainhand=70}] run scoreboard players add @s shield_durability 1
execute as @a[scores={sonic_boom_mainhand=70}] run event entity @s razz:warden_shield_projectile
 
execute as @a[scores={sonic_boom_mainhand=100..}] run scoreboard players set @s sonic_boom_mainhand 0
 
 
 
 